ECHO(1)

NAZWA
echo - wyświetla wiersz tekstu

SKŁADNIA
echo [KRÓTKA-OPCJA]... [NAPIS]...
echo DŁUGA-OPCJA

OPIS

Wyświetla NAPIS(Y) na standardowe wyjście.

-n  nie wypisuje kończącego znaku nowego wiersza

-e  włącza interpretowania sekwencji specjalnych z ukośnikiem

-E  wyłącza interpretowanie sekwencji specjalnych z ukośnikiem (domyślnie)

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Jeśli użyto opcji -e, to rozpoznawane są następujące sekwencje specjalne:

\\  odwrotny ukośnik

\a  dzwonek, alarm (BEL)

\b  backspace

\c  kończy wypisywanie wyniku

\e  escape

\f  wysuw strony

\n  znak nowego wiersza

\r  powrót karetki

\t  tabulacja pozioma

\v  tabulacja pionowa

\0NNN
    bajt o wartości ósemkowej NNN (1 do 3 cyfr)

\xHH
    bajt o wartości szesnastkowej HH (1 do 2 cyfr)

UWAGA: aktualnie używana powłoka może posiadać swoją wersję echo, która z reguły przesłania wersję opisaną w niniejszym podręczniku. Proszę zapoznać się z dokumentacją używanej powłoki, aby dowiedzieć się szczegółów o obsługiwanych opcjach. Aby wywołać opisaną tu wersję, można użyć polecenia env tzn. env echo ....

AUTOR
Napisane przez Briana Foxa i Cheta Rameya.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <http://www.gnu.org/software/coreutils/>
Zgłoszenia błędów w tłumaczeniu echo proszę wysyłać na adres <http://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2016 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja na stronie: <http://www.gnu.org/software/coreutils/echo>
lub lokalnie, za pomocą info '(coreutils) echo invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Przemek Borys (PTM) <pborys@dione.ids.pl>, Wojtek Kotwica (PTM) <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 8.25 oryginału.